<?php

/*

Created by MakeJar https://www.makejar.com/

*/

$jarpay_name = 'Jar Pay';
$jarpay_version = '2.00';

session_start();

$settings = array();

if (is_file('includes/config.php')) {
    include 'includes/config.php';
}
include 'includes/services/expresscrypto.php';
include 'includes/services/faucethub.php';

$act = '';

if (isset($_POST['act'])) {
    $act = $_POST['act'];
}

if (!isset($_SESSION['jp']['message'])) {
    $_SESSION['jp']['message'] = [];
}


$currencies_fiat = ['USD', 'EUR', 'GBP', 'CAD'];

$gateways_array = [];
if (!empty($settings['EC_API_KEY'])) {
    $gateways_array[] = 'ExpressCrypto';
}
if (!empty($settings['FH_API_KEY'])) {
    $gateways_array[] = 'FaucetHub';
}

$currencies_crypto_array = [];
$ecClass = new ExpressCryptoCurrencies();
$currencies_crypto_array = array_unique(array_merge($currencies_crypto_array, $ecClass->getCurrencies()));
$fhClass = new FaucetHubCurrencies();
$currencies_crypto_array = array_unique(array_merge($currencies_crypto_array, $fhClass->getCurrencies()));

asort($currencies_crypto_array);

?>